
     library(BRugs)                          # loading BRugs

     oldwd <- getwd()
     setwd("C:\\BB Predictive Power")

     ## run the BUGS model:
 
     modelCheck("BRUGS_example_model.txt")   # check model file
     modelData("BRUGS_example_data.txt")     # read data file
     modelCompile(numChains=1)               # compile model with 1 chain
     modelGenInits()		             # generating initial values
     modelUpdate(5000)                       # burn in
     samplesSet(c("std","mu1","mu2"))        # monitor nodes
     modelUpdate(5000)                       # 5000 more iterations ....
     samplesStats("*")                       # the summarized results
     mu1 <- samplesSample("mu1")             # store the posterior density
     mu2 <- samplesSample("mu2")             # store the posterior density
     std <- samplesSample("std")             # store the posterior density

     zb <- (150*((mu1-mu2)**2))/(2*(std**2))
     zb <- sqrt(zb)-1.96;
     power=pnorm(zb);

     spow <- sort(power)
     nums <- seq(from=1,to=5000,by=1)
     cprob <-(100*nums/5000)
     plot(spow,cprob)
     summary(power)
     write.table(power,file="rpower.csv",col.names=NA,sep=",")





   